WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: software wanted: vmware player and/or virtualbox  (Read 30054 times)

Offline dWLkR

  • WikiUser
  • *
  • Posts: 27
Re: software wanted: vmware player and/or virtualbox
« Reply #15 on: January 11, 2010, 10:43:29 AM »
is it out yet?! :>

Offline Kingdomcome

  • Sr. Member
  • ****
  • Posts: 286
Re: software wanted: vmware player and/or virtualbox
« Reply #16 on: January 11, 2010, 03:42:08 PM »
After much trying, Ive put the VirtualBox build on hold until TC/MC 3.x.  Lack of exception handling in 2.x has caused every one of my attempts to fail to successfully start a VM.

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 337
Re: software wanted: vmware player and/or virtualbox
« Reply #17 on: January 12, 2010, 09:53:03 AM »
Thanks for the effort, we look forward to version 3,
with version 2 I had the same bad results.

Offline Kingdomcome

  • Sr. Member
  • ****
  • Posts: 286
Re: software wanted: vmware player and/or virtualbox
« Reply #18 on: January 12, 2010, 11:20:30 PM »
FWIW, the latest version of VirtualBox are requiring qt-opengl, which would depend on xorg, if we can ge that module built. Most likely, my first attempts at building VirtualBox in TC 3.x will be with a 3.0.x version of VirtualBox which does not depend on qt-opengl.

Offline dWLkR

  • WikiUser
  • *
  • Posts: 27
Re: software wanted: vmware player and/or virtualbox
« Reply #19 on: January 24, 2010, 11:34:20 PM »
thx!

pls keep on making a dream come true! :)

Offline dWLkR

  • WikiUser
  • *
  • Posts: 27
Re: software wanted: vmware player and/or virtualbox
« Reply #20 on: March 19, 2010, 05:07:52 AM »
*bump*

is it out yet?! :D

Offline Kingdomcome

  • Sr. Member
  • ****
  • Posts: 286
Re: software wanted: vmware player and/or virtualbox
« Reply #21 on: March 19, 2010, 01:39:44 PM »
The announcement of the host app was lumped in with the announcement of the guest additions update, but yes VirtualBox is now available in the repo.  It does require TC/MC >= 2.9 though.   http://forum.tinycorelinux.net/index.php?topic=2831.msg28049#msg28049

Offline dWLkR

  • WikiUser
  • *
  • Posts: 27
Re: software wanted: vmware player and/or virtualbox
« Reply #22 on: July 21, 2010, 05:52:55 AM »
re!

just d/l tcl 3.0 - how can i install VIRTUALBOX OSE?!

thank you very much in advance!

Offline dWLkR

  • WikiUser
  • *
  • Posts: 27
Re: software wanted: vmware player and/or virtualbox
« Reply #23 on: July 26, 2010, 01:05:49 AM »
*bump* ;)

Offline jur

  • Hero Member
  • *****
  • Posts: 863
    • cycling photo essays
Re: software wanted: vmware player and/or virtualbox
« Reply #24 on: July 29, 2010, 03:12:28 PM »
If it's not in the apps repo then it's not available yet. Hopefully the maintainer is actively working on the 3.x version.

Offline ricky

  • WikiUser
  • *
  • Posts: 17
Re: software wanted: vmware player and/or virtualbox
« Reply #25 on: August 04, 2010, 06:07:57 AM »
I have, without building a extension, already compiled and installed  "VirtualBox-3.2.6-63112-Linux_x86.run" in my tinycore3.0 (32 bit) without any problems by using the hints in post "Re: Tiny Core 3.0 Alpha 6 Testing" from Author Arslan S. (compiling a kernel module).
But how can I put or transfer this to tinycore64-3.x or microcore64-3.0 ?
In general, how can I put a 32bit-application in tinycore64 ?
Excuse my bad english .

Offline Arslan S.

  • Hero Member
  • *****
  • Posts: 825
Re: software wanted: vmware player and/or virtualbox
« Reply #26 on: August 04, 2010, 06:39:01 AM »
all you need to do is to build same module for 64 bit kernel other stuff does not have to be 64 bit
and separate all kernel modules in to their own extensions with the corresponding kernel name (uname -r)
and add xxx-KERNEL.tcz to main extension dep list

see nvidia-glx.tcz for example

to build 64bit kernel module you need toolchain64.tcz extension
and some command like below after preparing kernel 64 source same as 32 bit kernel
Code: [Select]
toolchain64-shell
make module IGNORE_CC_MISMATCH=1 CC=x86_64-unknown-linux-gnu-gcc
« Last Edit: August 04, 2010, 06:44:29 AM by Arslan S. »

Offline ricky

  • WikiUser
  • *
  • Posts: 17
Re: software wanted: vmware player and/or virtualbox
« Reply #27 on: August 04, 2010, 06:57:47 AM »
Thank you for your help Arslan S.
I tried that already with VirtualBox-3.2.6-63112-Linux_amd64.run, but that did not work.
But now with your new help I 'll try it once more.

Offline ricky

  • WikiUser
  • *
  • Posts: 17
Re: software wanted: vmware player and/or virtualbox
« Reply #28 on: August 04, 2010, 12:49:29 PM »
Hallo Arslan S.

I tried to compile the VirtualBox-Kernel-Modules of VirtualBox-3.2.6-63112-Linux_amd64.run as you told me, but I failed with the following message

make KBUILD_VERBOSE=1 -C /lib/modules/2.6.33.3-tinycore64/build SUBDIRS=/tmp/vbox.0 SRCROOT=/tmp/vbox.0 modules
test -e include/generated/autoconf.h -a -e include/config/auto.conf || (      \
   echo;                        \
   echo "  ERROR: Kernel configuration is invalid.";      \
   echo "         include/generated/autoconf.h or include/config/auto.conf are missing.";\
   echo "         Run 'make oldconfig && make prepare' on kernel src to fix it.";   \
   echo;                        \
   /bin/false)
mkdir -p /tmp/vbox.0/.tmp_versions ; rm -f /tmp/vbox.0/.tmp_versions/*

  WARNING: Symbol version dump /mnt/hda6/Fuer_Linux_Source64/linux-2.6.33.3/Module.symvers
           is missing; modules will have no dependencies and modversions.

make -f scripts/Makefile.build obj=/tmp/vbox.0
  gcc -Wp,-MD,/tmp/vbox.0/linux/.SUPDrv-linux.o.d  -nostdinc -isystem /tmp/tcloop/gcc/usr/local/bin/../lib/gcc/i686-pc-linux-gnu/4.4.3/include -I/mnt/hda6/Fuer_Linux_Source64/linux-2.6.33.3/arch/x86/include -Iinclude  -include include/generated/autoconf.h -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -fno-delete-null-pointer-checks -Os -m64 -mno-red-zone -mcmodel=kernel -maccumulate-outgoing-args -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -fomit-frame-pointer -I/lib/modules/2.6.33.3-tinycore64/build/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DCONFIG_VBOXDRV_AS_MISC -DRT_ARCH_AMD64 -DVBOX_WITH_64_BITS_GUESTS  -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(SUPDrv_linux)"  -D"KBUILD_MODNAME=KBUILD_STR(vboxdrv)"  -c -o /tmp/vbox.0/linux/SUPDrv-linux.o /tmp/vbox.0/linux/SUPDrv-linux.c
/tmp/vbox.0/linux/SUPDrv-linux.c:1: error: code model 'kernel' not supported in the 32 bit mode
/tmp/vbox.0/linux/SUPDrv-linux.c:1: sorry, unimplemented: 64-bit mode not compiled in
make[2]: *** [/tmp/vbox.0/linux/SUPDrv-linux.o] Error 1
make[1]: *** [_module_/tmp/vbox.0] Error 2
make: *** [vboxdrv] Error 2

But autoconf.h and auto.conf were present and i run "make oldconfig && make prepare" before.

What can I do ?

Offline Arslan S.

  • Hero Member
  • *****
  • Posts: 825
Re: software wanted: vmware player and/or virtualbox
« Reply #29 on: August 04, 2010, 01:04:20 PM »
you need to compile it with toolchain64.tcz not gcc.tcz
also it shoud be "make modules_prepare" i think

try this
run toolchain64-shell
then add this to your all make commands
IGNORE_CC_MISMATCH=1 CC=x86_64-unknown-linux-gnu-gcc

also you don't need to compile all kernel modules
« Last Edit: August 04, 2010, 01:36:58 PM by Arslan S. »